#
# spec file for package gap-primgrp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-primgrp
Version:        3.4.4
Release:        1.3
Summary:        GAP: Primitive Permutation Groups Library
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/primgrp/
Source:         https://github.com/gap-packages/primgrp/releases/download/v%{version}/primgrp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.10
Requires:       gap-gapdoc >= 1.5

%description
The PrimGrp package provides the library of primitive permutation
groups which includes, up to permutation isomorphism (i.e., up to
conjugacy in the corresponding symmetric group), all primitive
permutation groups of degree < 4096.

%prep
%setup -qn primgrp-%version

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Feb 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.4.4
  * No user-visible changes
* Tue Dec 20 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 3.4.3
  * Fix inconsistencies in `COHORTS_PRIMITIVE_GROUPS` in degrees
    1550 and 1575
  * Fix socle type for natural An/Sn in degree >= 2500
  * Ship data files compressed to save disk space
* Sun Oct  2 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to new upstream release 3.4.2
  For details, see
  https://github.com/gap-packages/primgrp/blob/v3.4.2/CHANGES.md
* Thu Nov 15 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 3.3.2
  * No changelog was provided
* Sat Jul 14 2018 jengelh@inai.de
- Initial package (version 3.3.1) for build.opensuse.org
